#!/usr/local/bin/perl -w
use GeoPlot;
use strict;

my $test = new GeoPlot("yahoo.gif", 640, 480, 0, 0, 480, 640);
$test->add_key("color", 100, 100, 200, 200, "Sample Title", 10,
	       [{"range" => "0 >< 10",
		 "value" => "red",
		 "desc"  => "Sample Description 1"},
 	        {"range" => "40 >< 50",
		 "value" => "blue"},
 	        {"range" => "60 >< 70",
		 "value" => "blue"},
 	        {"range" => "70 >< 80",
		 "value" => "blue"},
	        {"range" => "10 >< 20",
		 "value" => "green"}]); 

$test->add_key("size", 100, 100, 200, 200, "Sample Title", 10,
	       [{"range" => "10",
		 "value" => "10",
		 "desc"  => "Sample Description 1"},
	        {"range" => "20",
		 "value" => "20"},
	        {"range" => "80",
		 "value" => "80"},
	        {"range" => "50",
		 "value" => "50"},
		{"range" => "30",
		 "value" => "30",
		 "desc"  => "Sample Description 2"}]); 

my $A = $test->add_node("A",10,20);
my $B = $test->add_node("B",10,20,{"title" => "B Test"});
my $C = $test->add_node("C",60,70,{"title" => "C Test"});
my $D = $test->add_node("D",90,80,{"title" => "D Test"});
my $E = $test->add_node("E",90,80,{"title" => "E Test"});
my $F = $test->add_node("F",90,80,{"title" => "F Test"});
my $G = $test->add_node("G",90,80,{"title" => "G Test"});
$test->delete_node($D);
#$test->delete_key("size");
#my $AB = $test->add_link("A","B");
#$test->add_link("A","B",{"direc" => "srcdest"});
#$test->add_link("B","A");
#test->delete_link($AB);
#$test->delete_link("B","A");
#my $path = $test->add_path({},["A",$B,$C]);
my $path1 = $test->add_path({"direc" => "src","vcolor" => "30"},[$A,$B,$C]);
my $path2 = $test->add_path({"vcolor" => "15"},[$F,$B,$C]);
$test->aggregate_paths("color",{"title" => "Aggregate Test"},[$path1,$path2]);
#$test->delete_path($path);
$test->generate_html;
